Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 565902 - mail-mta/qpsmtpd-0.95: should depend on dev-perl/Net-IMAP-Simple
Summary: mail-mta/qpsmtpd-0.95: should depend on dev-perl/Net-IMAP-Simple
Status: UNCONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL: https://github.com/smtpd/qpsmtpd/blob...
Whiteboard:
Keywords:
Depends on: 553466
Blocks:
  Show dependency tree
 
Reported: 2015-11-16 09:00 UTC by Fabian Henze
Modified: 2019-03-26 20:03 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Fabian Henze 2015-11-16 09:00:21 UTC
The auth_imap plugin of qpsmtpd 0.95 (0.84 is not affected) depends on dev-perl/Net-IMAP-Simple. This dependency is missing in the ebuild and it is hard masked due to bug #553466.

Reproducible: Always
Comment 1 Andreas K. Hüttel gentoo-dev 2015-11-18 18:26:07 UTC
There's not that much we can do here (except also masking qpsmtpd), unless either Coro gets fixed (unlikely, the author is "making a stand against changes in Perl 5.22") or qpsmtpd drops the dependency.
Comment 2 Andreas K. Hüttel gentoo-dev 2015-12-03 17:05:16 UTC
(In reply to Andreas K. Hüttel from comment #1)
> There's not that much we can do here (except also masking qpsmtpd), unless
> either Coro gets fixed (unlikely, the author is "making a stand against
> changes in Perl 5.22") or qpsmtpd drops the dependency.

@net-mail: Coro is fixed now, so feel free to add the dependency in whatever way you see needed. Perl out.